package com.bjtdba.entity.merchant;

import java.math.BigDecimal;
import java.util.Date;

public class MerchantAnnualCostOrder {

    private Integer id;
    /**
     * 店铺ID
     */
    private Integer mer_id;
    /**
     * 支付金额
     */
    private BigDecimal pay_price;
    /**
     * 订单状态
     */
    private Integer status;
    /**
     * 订单编号
     */
    private String order_no;
    /**
     * 创时间
     */
    private Date create_time;
    /**
     * 支付时间
     */
    private Date pay_time;
    /**
     * 首信交易流水号
     */
    private String serialNumber;
    /**
     * 用户ID
     */
    private Integer uid;
    /**
     * 订单随机数
     */
    private Integer rand;
    /**
     * 支付方式
     */
    private String pay_type;
    /**
     *汇付订单号
     */
    private String hf_pay_id;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public BigDecimal getPay_price() {
        return pay_price;
    }

    public void setPay_price(BigDecimal pay_price) {
        this.pay_price = pay_price;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Date getPay_time() {
        return pay_time;
    }

    public void setPay_time(Date pay_time) {
        this.pay_time = pay_time;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public Integer getRand() {
        return rand;
    }

    public void setRand(Integer rand) {
        this.rand = rand;
    }

    public String getPay_type() {
        return pay_type;
    }

    public void setPay_type(String pay_type) {
        this.pay_type = pay_type;
    }

    public String getHf_pay_id() {
        return hf_pay_id;
    }

    public void setHf_pay_id(String hf_pay_id) {
        this.hf_pay_id = hf_pay_id;
    }
}
